%global realname parsexml
%global upstream maxlapshin
%global debug_package %{nil}
%global git_tag 5bf5f1a
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0
Release:	0.2.20121126%{?dist}
Summary:	Simple DOM XML parser with convenient and very simple API
Group:		Development/Languages
License:	BSD
URL:		https://github.com/maxlapshin/parsexml
# wget --content-disposition https://github.com/maxlapshin/parsexml/tarball/5bf5f1a
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
BuildRequires:	erlang-rebar
Requires:	erlang-erts%{?_isa}
Requires:	erlang-eunit%{?_isa}
# Error:erlang(binary:split/2) in R13B and earlier
Requires:	erlang-stdlib%{?_isa} >= R14B


%description
Simple DOM XML parser with convenient and very simple API.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
rm -f rebar


%build
rebar compile -v
rebar doc -v


%install
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%check
rebar eunit -v


%files
%doc README.md doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%changelog
* Thu Apr 18 2013 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20121126
- Removed bundled rebar copy

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20121126
- Intial build
